Create a knowledge base article.
curl --request POST \
--url https://{subdomain}.outseta.com/api/v1/support/articles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"Uid": "string",
"_objectType": "string",
"ActivityEventData": {},
"Weight": 0,
"Title": "string",
"Body": "string",
"SupportArticleStatus": 1,
"Category": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"Description": "string",
"Weight": 0,
"Articles": []
},
"Keywords": "string"
}
'import requests
url = "https://{subdomain}.outseta.com/api/v1/support/articles"
payload = {
"Uid": "string",
"_objectType": "string",
"ActivityEventData": {},
"Weight": 0,
"Title": "string",
"Body": "string",
"SupportArticleStatus": 1,
"Category": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"Description": "string",
"Weight": 0,
"Articles": []
},
"Keywords": "string"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Uid: 'string',
_objectType: 'string',
ActivityEventData: {},
Weight: 0,
Title: 'string',
Body: 'string',
SupportArticleStatus: 1,
Category: {
Uid: 'string',
_objectType: 'string',
Created: 'string',
Updated: 'string',
ActivityEventData: {},
Name: 'string',
Description: 'string',
Weight: 0,
Articles: []
},
Keywords: 'string'
})
};
fetch('https://{subdomain}.outseta.com/api/v1/support/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Weight": 0,
"Title": "string",
"Body": "string",
"SupportArticleStatus": 1,
"Category": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"Description": "string",
"Weight": 0,
"Articles": []
},
"Keywords": "string"
}Knowledge base
Create a knowledge base article.
POST
/
api
/
v1
/
support
/
articles
Create a knowledge base article.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Body
application/json
The knowledge base article to create
Maximum string length:
10Maximum string length:
2551 - Draft, 2 - WaitingReview, 3 - Published
Available options:
1, 2, 3 Required range:
1 <= x <= 3Show child attributes
Show child attributes
Maximum string length:
255Response
Minimum string length:
1Minimum string length:
1Maximum string length:
10Maximum string length:
2551 - Draft, 2 - WaitingReview, 3 - Published
Available options:
1, 2, 3 Required range:
1 <= x <= 3Show child attributes
Show child attributes
Maximum string length:
255⌘I